<form [formGroup]="registerForm" class="form-container" (ngSubmit)="registerForm.valid && register()" autocomplete="off">
  <h3>Sign Up</h3>
  <hr>
  <div class="validation-errors" *ngIf="validationErrors.length > 0">
    <ul>
      <li *ngFor="let error of validationErrors">
        {{error}}
      </li>
    </ul>
  </div>
  <table>
    <tr>
      <app-text-input [formControl]="registerForm.controls['name']"
                      [label]="'Name'"
                      [inputType]="'text'"></app-text-input>
    </tr>
    <tr>
      <app-text-input [formControl]="registerForm.controls['surname']"
                      [label]="'Surname'"
                      [inputType]="'text'"></app-text-input>
    </tr>
    <tr>
      <app-text-input [formControl]="registerForm.controls['username']"
                      [label]="'Username'"
                      [inputType]="'text'"></app-text-input>
    </tr>
    <tr>
      <app-text-input [formControl]="registerForm.controls['email']"
                      [label]="'E-mail'"
                      [inputType]="'email'"></app-text-input>
    </tr>
    <tr>
      <app-text-input [formControl]="registerForm.controls['dateOfBirth']"
                      [label]="'Date of birth'"
                      [inputType]="'date'"></app-text-input>
    </tr>
    <tr>
      <app-text-input [formControl]="registerForm.controls['city']"
                      [label]="'City'"
                      [inputType]="'text'"></app-text-input>
    </tr>
    <tr>
      <app-text-input [formControl]="registerForm.controls['country']"
                      [label]="'Country'"
                      [inputType]="'text'"></app-text-input>
    </tr>
    <tr>
      <app-text-input [formControl]="registerForm.controls['phone']"
                      [label]="'Phone'"
                      [inputType]="'text'"></app-text-input>
    </tr>
    <tr>
      <app-text-input [formControl]="registerForm.controls['password']"
                      [label]="'Password'"
                      [inputType]="'password'"></app-text-input>
    </tr>
  </table>
  <div class="form-container__buttons">
    <button type="submit" [disabled]="!registerForm.valid">Register</button>
    <button type="button" (click)="quitRegisterMode()">Cancel</button>
  </div>
</form>
